Returns OTLP spans
/api/spansSample request12345678910111213141516curl --request POST 'https://api.eu-west-1.aws.dash0.com/api/spans' \--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}" \--header 'Content-Type: application/json' \--data-raw '{"timeRange": {"from": "now-10m","to": "now"},"filter": [{"key": "service.name","operator": "is","value": "shop"}]}'
Request body required
A range of time between two time references.
Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.
The ordering criteria for the returned spans.
Supported ordering key: otel.span.start_time (span start timestamp, defaults to descending)
Cursor pagination for spans.
- Maximum and default limit: 200 elements per page
- We do not guarantee that the requested number of elements will be returned per page
- Multiple pages may be required to retrieve the requested number of signals
Responses
Returns spans in OTLP format.
Response for the GetSpans API. The response contains the spans that match the request.
This API deliberately reuses the full OTLP JSON format for spans. This is done to aid compatibility with existing OTLP consumers.
The property is only included when includeOTLPSchemaExtensions is true.
The property is only included when includeOTLPSchemaExtensions is true.
The cursors for the next sets of results. This property is included to support pagination through the result set when additional pages are available.
There is one ResourceSpan per resource. This is aligned to the data most OTLP batching algorithms would
produce, where there is one ResourceSpan per resource. This is done to aid compatibility with existing
OTLP consumers.
Spans nested in ResourceSpans are ONLY sorted if an explicit ordering has been defined. However,
it is guaranteed that all data is sorted across paged requests.